PHPFreeChat 1.1 - demo21_with_hardocded_urls.php Cross-Site Scripting

2008-07-18T00:00:00
ID EXPLOITPACK:B5F2CF72646E59FD3F933C42A12D8036
Type exploitpack
Reporter ahmadbady
Modified 2008-07-18T00:00:00

Description

PHPFreeChat 1.1 - demo21_with_hardocded_urls.php Cross-Site Scripting

                                        
                                            source: https://www.securityfocus.com/bid/30292/info

phpFreeChat is prone to an unspecified cross-site scripting vulnerability because it fails to properly sanitize user-supplied input.

An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site. This may let the attacker steal cookie-based authentication credentials and launch other attacks.

phpFreeChat 1.1 is vulnerable; other versions may also be affected.

http://www.example.com/path/demo/demo21_with_hardcoded_urls.php/>'><ScRiPt>alert(document.cookie)</ScRiPt>